Während der Installation von WSS 3.0 oder MOSS 2007 auf Windows Server 2008 R2 kann es unter Umständen zu einer Fehlermeldung kommen:
 
“The program is blocked due to compatibility issues”.
 
Grund:
Für Windows Server 2008 R2 werden mindestens die Windows SharePoint Services 3.0 inkl. installiertem SP2 benötigt.
 
Abhilfe schafft eine SharePoint SlipStream-Installation:
  • SharePoint Image herunterladen und in ein lokales Verzeichnis entpacken
  • WSS (und ggf. MOSS) SP2-Dateien herunterladen
  • Jedes Patch über Start und Ausführen entpacken:
     <Pfad zum Patch>/extract:<c:SharePointImage>Updates
  • Wsssetup.dll aus dem Update-Verzeichnis löschen

Ein Upgrade von Windows Server 2008 auf Windows Server 2008 R2 kann ebenfalls Probleme bereiten, wenn die Windows SharePoint Services bereits installiert sind:

“These Windows features might not work properly after the upgrade. We recommend turning off features before upgrading. Cancel the upgrade, open Control Panel and search for “turn Windows features on or off”.
Windows SharePoint Services 3.0″

Weitere Informationen gibt es im KB Artikel.